
QGIS Application - Bug report #3082

Start Menu is cluttered

2010-10-04 08:43 PM - Aren Cambre

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13142

Description

Please remove the uninstaller and web site shortcuts from the Start Menu.

Best practices for Windows applications mean you only put shortcuts to programs in the Start Menu. See 

http://windows.microsoft.com/en-US/windows7/The-Start-menu-overview for reinforcement, but it's been this way since at least 1995

(Windows 95). http://msdn.microsoft.com/en-us/library/aa511447.aspx#files says: "Don't put shortcuts to the following items on the Start

menu:" and mentions "program uninstallers", "web sites, and "help files" among some others.

Quick sampling of my current applications shows many strong examples where Start Menu is uncluttered, including Openoffice.org,

[[MySql]], Mozilla Firefox, Pidgin, Wireshark, and others.

Associated revisions

Revision 8634807e - 2010-10-06 11:55 PM - Jürgen Fischer

fix #3082

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@14350 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 4c055b9f - 2010-10-06 11:55 PM - Jürgen Fischer

fix #3082

git-svn-id: http://svn.osgeo.org/qgis/trunk@14350 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-10-06 02:55 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:4c055b9f (SVN r14351).
